Печать на Canon MF4570, Playonlinux и Viber - не совместим, как быть ? [Решено]

Изображение пользователя AlexBezz.

Доброго дня. Вот вернулся на Kubuntu 18.04 x64 (с openSUSE 42.3), все радует, кроме...

Как и в предидущих релизах, начиная с 14.04, принтер отказывался печатать, выдавая в окне состояния

Лечилось установкой Playonlinux, который очевидно подтягивал недостающие пакеты
Но вот на 18.04 установка Playonlinux приводит к удалению Viber. И наоборот.

Вот скрин:

Развернуть/свернуть скрытый текст.
[email protected]:~$ sudo apt install playonlinux
Зчитування переліків пакунків... Виконано
Побудова дерева залежностей
Зчитування інформації про стан... Виконано
Буде встановлено такі додаткові пакунки:
cabextract curl fonts-wine gstreamer1.0-plugins-base:i386 libasn1-8-heimdal:i386 libasound2-plugins:i386 libasyncns0:i386 libavahi-client3:i386
libavahi-common3:i386 libcairo2:i386 libcapi20-3 libcups2:i386 libcurl4 libdbus-1-3:i386 libdrm-intel1:i386 libdrm-radeon1:i386 libedit2:i386 libflac8:i386
libfontconfig1:i386 libfreetype6:i386 libgd3:i386 libgl1-mesa-dri:i386 libglib2.0-0:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386 libgphoto2-6:i386
libgphoto2-port12:i386 libgssapi-krb5-2:i386 libgssapi3-heimdal:i386 libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386 libhcrypto4-heimdal:i386
libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhogweed4:i386 libhx509-5-heimdal:i386 libicu60:i386 libieee1284-3:i386 libjack-jackd2-0:i386
libjbig0:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-26-heimdal:i386 libkrb5-3:i386 libldap-2.4-2:i386 libllvm6.0:i386 libmpg123-0:i386 libmspack0
libopus0:i386 libosmesa6:i386 libp11-kit0:i386 libpcap0.8:i386 libpulse0:i386 libroken18-heimdal:i386 libsamplerate0:i386 libsane1:i386 libsensors4:i386
libsndfile1:i386 libstdc++6:i386 libtheora0:i386 libtiff5:i386 libusb-1.0-0:i386 libv4l-0:i386 libv4lconvert0:i386 libwind0-heimdal:i386 libwine
libwine:i386 libwxbase3.0-0v5 libwxgtk3.0-gtk3-0v5 libxcb-render0:i386 libxcomposite1:i386 libxcursor1:i386 libxml2:i386 libxrandr2:i386 libxrender1:i386
libxslt1.1:i386 libxxf86vm1:i386 ocl-icd-libopencl1:i386 python-wxgtk3.0 wine-stable wine32:i386 wine64
Пропоновані пакунки:
gvfs:i386 libgd-tools:i386 gnutls-bin:i386 gphoto2:i386 krb5-doc:i386 krb5-user:i386 libvisual-0.4-plugins:i386 gstreamer1.0-tools:i386 jackd2:i386
opus-tools:i386 hplip:i386 lm-sensors:i386 ttf-mscorefonts-installer ttf-mscorefonts-installer:i386 scrot wx3.0-doc winbind winetricks wine-binfmt dosbox
libwine-gecko-2.47:i386 wine32-preloader:i386 libwine-gecko-2.47 wine64-preloader
Пакунки, які будуть ВИДАЛЕНІ:
libcurl3 viber
НОВІ пакунки, які будуть встановлені:
cabextract curl fonts-wine gstreamer1.0-plugins-base:i386 libasn1-8-heimdal:i386 libasound2-plugins:i386 libasyncns0:i386 libavahi-client3:i386
libavahi-common3:i386 libcairo2:i386 libcapi20-3 libcups2:i386 libcurl4 libdbus-1-3:i386 libdrm-intel1:i386 libdrm-radeon1:i386 libedit2:i386 libflac8:i386
libfontconfig1:i386 libfreetype6:i386 libgd3:i386 libgl1-mesa-dri:i386 libglib2.0-0:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386 libgphoto2-6:i386
libgphoto2-port12:i386 libgssapi-krb5-2:i386 libgssapi3-heimdal:i386 libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386 libhcrypto4-heimdal:i386
libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhogweed4:i386 libhx509-5-heimdal:i386 libicu60:i386 libieee1284-3:i386 libjack-jackd2-0:i386
libjbig0:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-26-heimdal:i386 libkrb5-3:i386 libldap-2.4-2:i386 libllvm6.0:i386 libmpg123-0:i386 libmspack0
libopus0:i386 libosmesa6:i386 libp11-kit0:i386 libpcap0.8:i386 libpulse0:i386 libroken18-heimdal:i386 libsamplerate0:i386 libsane1:i386 libsensors4:i386
libsndfile1:i386 libstdc++6:i386 libtheora0:i386 libtiff5:i386 libusb-1.0-0:i386 libv4l-0:i386 libv4lconvert0:i386 libwind0-heimdal:i386 libwine
libwine:i386 libwxbase3.0-0v5 libwxgtk3.0-gtk3-0v5 libxcb-render0:i386 libxcomposite1:i386 libxcursor1:i386 libxml2:i386 libxrandr2:i386 libxrender1:i386
libxslt1.1:i386 libxxf86vm1:i386 ocl-icd-libopencl1:i386 playonlinux python-wxgtk3.0 wine-stable wine32:i386 wine64
оновлено 0, встановлено 84 нових, 2 відмічено для видалення і 0 не оновлено.
Необхідно завантажити 0 B/99,9 MB архівів.
Після цієї операції об'єм зайнятого дискового простору зросте на 310 MB.
Бажаєте продовжити? [Y=ТАК/n=ні]

Жесть какая то =)

Подскажите, какие пакеты нужно доустановить для нормальной печати принтера ?
Конечно, лучше подскажите как одновременно установить и Playonlinux и Viber, поиграть тож охота.

Спасибо.

ЗЫ: после установки sudo apt install libxml2:i386 печать заработала.
Актуален второй вопрос - как одновременно установить и Playonlinux и Viber ?

+1
nitrofox - 4 Май, 2018 - 19:56
Изображение пользователя nitrofox.

Ну я еще бету kubuntu 18.04 использовал =). Вайберу нужен пакет libcurl3. А другие пакеты требовали libcurl4. Я deb пакет пересобрал и исправил зависимость на libcurl3 | libcurl4. Вроде вайбер работает =). Странно что после реализа ubuntu 18.04 этого не сделали из коробки.

0
AlexBezz - 8 Май, 2018 - 14:48
Изображение пользователя AlexBezz.

=( а вот это я уже не шарю

0
AlexBezz - 8 Май, 2018 - 17:50
Изображение пользователя AlexBezz.

Хотя вот нашел, вечером попробую что из этого выйдет.
Installing Viber Desktop on Ubuntu 18.04 - libcurl3 dependency problem

Конкретно помогло:

if you want to use libcurl4, you can fix current deb file:
dpkg-deb -x viber.deb viber
dpkg-deb --control viber.deb viber/DEBIAN
Edit viber/DEBIAN/control and repace "libcurl3" with "libcurl4"
dpkg -b viber vibernew.deb
sudo dpkg -i vibernew.deb

0
tuxcomss - 9 Май, 2018 - 14:38

Вот это решение работает. Проверенно на Ubuntu и Kubuntu.
Там же чуть ниже решение с масштабом: env QT_AUTO_SCREEN_SCALE_FACTOR=0 /opt/viber/Viber можно добавить в ярлык на запуск

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры